# About RegEx Field Validation

_This module provides an extra validation option for text fields_

_It uses the power of regular expressions to validate the content from fields_

How to use it?

Go to Manage Fields on any Content type
Edit any text field settings
Locate the RegEx Field Validation box that should be available in the 
settings form
Check the Validate field with RegEx option to activate the Regular 
Expression and Error 
message fields
Type in the regular expression that you want the field value to be 
matched against
Type in the error message that you want to be displayed when the field 
value does 
not validate
Examples of regular expressions that can be used

* `/^\d.\d+\Z/` - Matches an integer followed by a dot and then by an unlimited 
integer values. E.g: 1.232
* `/^[^<\x09]{0,1000}\Z/` - Matches a string containg between 1 and 1000 chars.
* `/^.{2,30}\@.{2,63}\..{2,20}\Z/` - Matches an email address.
* `/^\+{0,2}(([0-9#*()-\/_] *){7,40})?\Z/` - Matches numeric with punctuations. 
E.g: #*()-/_) 7-40 characters. 
This can be used to validate a phone number.

Maintainer

* Ionut Stan (https://www.drupal.org/u/ionutstan)

Supporting organization

* Softescu SRL (https://www.drupal.org/softescu-srl)
